diff -ruN tetex-src-3.0/Makefile.in tetex-src-3.0-patched/Makefile.in
--- tetex-src-3.0/Makefile.in	Sat Jan 29 18:12:25 2005
+++ tetex-src-3.0-patched/Makefile.in	Sun Feb  6 19:47:12 2005
@@ -63,25 +63,6 @@
 	test -f texk/web2c/omegafonts/omfonts && \
 	  cd texk/web2c/omegafonts; $(MAKE) install-links
 	$(srcdir)/selfautofix "$(bindir)" "$(texmf)/web2c"
-	- if test -f $(scriptdir)/mktexlsr; then \
-	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
-	    $(scriptdir)/mktexlsr; \
-	else :; fi
-	- if test -f $(scriptdir)/fmtutil-sys; then \
-	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
-	    $(scriptdir)/fmtutil-sys --all; \
-	else :; fi
-	- if test -f $(scriptdir)/texlinks; then \
-	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
-	    $(scriptdir)/texlinks; \
-	else :; fi
-	- if test -f $(scriptdir)/updmap-sys \
-	  && TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
-	       $(scriptdir)/kpsewhich --format='web2c files' updmap.cfg >/dev/null; \
-	then \
-	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
-	    $(scriptdir)/updmap-sys; \
-	else :; fi
 
 install-exec:
 	for dir in $(INSTDIRS); do \
diff -ruN tetex-src-3.0/README.fink tetex-src-3.0-patched/README.fink
--- tetex-src-3.0/README.fink	Wed Dec 31 19:00:00 1969
+++ tetex-src-3.0-patched/README.fink	Sun Feb  6 20:02:55 2005
@@ -0,0 +1,82 @@
+             README for Fink package: tetex-3.0-1
+
+The Fink package for teTeX 3.0 follows Thomas Esser's distribution quite
+closely.  This file provides some advice for users, and documents the
+differences between the Fink package and the upstream version.
+
+MISSING ITEMS
+
+The following things are removed from the teTeX package because they are
+supplied elsewhere in the Fink system: texinfo (supplied in Fink's texinfo
+package), texi2html (supplied in Fink's texi2html package), and readlink
+(supplied in Fink's debianutils package).
+
+TETEX PACKAGES IN FINK
+
+As of teTeX 3.0, a Fink user will find the following teTeX packages
+available to be installed on the system: 
+  tetex-texmf, tetex-base, tetex-nox, tetex-nox-base, tetex.
+
+The "tetex" package replaces the (by now ancient) "bundle-tetex" package, 
+and installs everything that is needed.  The "tetex-nox" package is an
+alternative to this which does not depend on the X11 libraries.  (Note
+that in a change from teTeX 2.x, Users of this package no longer need to
+separately install the "texinfo" and "debianutils" packages.)
+
+The "tetex-texmf", "tetex-base", and "tetex-nox-base" packages are various
+components of the teTeX system, and will be installed when needed.  
+
+The shared library used by teTeX now resides in a package called 
+"libkpathsea4-shlibs", with the corresponding development files residing in
+"libkpathsea4-dev".
+
+CONFIGURING TETEX
+
+Users can adjust the configuration of their copy of teTeX by running 
+"sudo texconfig-sys" (for system-wide configuration) or "texconfig" (for
+individual configuration).  The configuration files are stored in the
+directories @PREFIX@/etc/texmf-config and @PREFIX@/var/lib/texmf .
+
+INSTALLING MORE TEX STYLE FILES, ETC.
+
+Users can install any private TeX style files, or TeX macro packages which
+they haven't installed via Fink or don't wish to share with other users of
+their computer, in the directory
+  ~/Library/texmf
+(i.e., a folder named texmf within the Library folder in the user's Home).
+Each user would need to create the corresponding directory if they wished
+to put things into it.
+
+If the user's ~/Library/texmf directory contains many files, it can be
+indexed with "mktexlsr ~/Library/texmf", which will speed up searching.
+Once this has been done, it must be done again any time something new is
+added to the directory (or else the file ~/Library/texmf/ls-R can be
+removed instead, to turn off the indexing of this directory).
+
+USING THE "ORIGINAL" XDVI
+
+Although teTeX comes with a version of xdvi installed (often called xdvik),
+some users may prefer to use the "original" xdvi program maintained by Paul
+Vojta.  This can be accomplished by installing Fink's xdvi package along
+side of tetex-base.  When this has been done, Vojta's package is invoked by
+the command "xdvi", whereas the teTeX-supplied package is invoked by the
+command "xdvik".
+
+TECHNICAL NOTE: SHARED LIBRARIES
+
+Fink's tetex packages continue to be built using shared libraries.  This
+is now a standard feature of teTeX on Mac OS X, and no longer requires
+a Fink-specific patch.
+
+TECHNICAL NOTE: PATCHES
+
+The Makefile is patched so as to prevent execution of the final configuration
+step (which in the Fink system is handled in a PostInstall script), and
+texmf.in is patched to implement the choices of directories and provide
+support for Paul Vojta's xdvi.  Finally, this README.fink file is supplied
+via a patch. 
+
+
+                                            Dave Morrison
+                                            <dmrrsn@users.sourceforge.net>
+                                            8 February 2005
diff -ruN tetex-src-3.0/texk/kpathsea/texmf.in-teTeX tetex-src-3.0-patched/texk/kpathsea/texmf.in-teTeX
--- tetex-src-3.0/texk/kpathsea/texmf.in-teTeX	Sat Feb  5 19:04:35 2005
+++ tetex-src-3.0-patched/texk/kpathsea/texmf.in-teTeX	Sun Feb  6 19:56:26 2005
@@ -72,7 +72,7 @@
 %   TEXMFSYSVAR = $TEXMFMAIN
 % For using a separate tree:
 %   TEXMFSYSVAR = @texmf@-var
-TEXMFSYSVAR = @texmf@-var
+TEXMFSYSVAR = @PREFIX@/var/lib/texmf
 
 % TEXMFSYSCONFIG, where texconfig-sys stores configuration data.
 % With teTeX-3.0 or later, this must be set.
@@ -80,11 +80,11 @@
 %   TEXMFSYSCONFIG = $TEXMFMAIN
 % For using a separate tree:
 %   TEXMFSYSCONFIG = @texmf@-config
-TEXMFSYSCONFIG = @texmf@-config
+TEXMFSYSCONFIG = @PREFIX@/etc/texmf-config
 
 % User texmf trees can be catered for like this...
 % This used to be HOMETEXMF.
-TEXMFHOME = $HOME/texmf
+TEXMFHOME = $HOME/Library/texmf
 
 % TEXMFVAR, where texconfig stores variable runtime data.
 % With teTeX-3.0 or later, this must be set.
@@ -102,7 +102,7 @@
 %   TEXMFCONFIG = $HOME/.texmf-config
 % For using a separate tree:
 %   TEXMFCONFIG = @texmf@-config
-TEXMFCONFIG = $HOME/.texmf-config
+TEXMFCONFIG = $HOME/.texmf-config
 
 % Now, list all the texmf trees. If you have multiple trees you can
 % use shell brace notation, like this:
@@ -119,14 +119,14 @@
 % Where generated fonts may be written.  This tree is used when the sources
 % were found in a system tree and either that tree wasn't writable, or the
 % varfonts feature was enabled in MT_FEATURES in mktex.cnf.
-VARTEXFONTS = @vartexfonts@
+VARTEXFONTS = $TEXMFSYSVAR/fonts
 
 % Where to look for ls-R files.  There need not be an ls-R in the
 % directories in this path, but if there is one, Kpathsea will use it.
 %
 % Remove $VARTEXFONTS from TEXMFDBS if the VARTEXFONTS directory is below
 % one of the TEXMF directories (avoids overlapping ls-R files).
-TEXMFDBS = $TEXMF;$VARTEXFONTS
+TEXMFDBS = $TEXMF
 
 % It may be convenient to define TEXMF like this:
 %   TEXMF = {$TEXMFHOME,!!$TEXMFLOCAL,!!$TEXMFMAIN,$HOME}
@@ -147,6 +147,11 @@
 %   VARTEXFONTS = $TEXMFVAR/fonts
 % and do not mention it in TEXMFDBS (but _do_ mention TEXMFVAR).
 
+% Additional lines for use by xdvi:
+PKFONTS.XDvi    = .:$TEXMF/%s:$VARTEXFONTS/pk/{%m,modeless}//
+VFFONTS.XDvi    = .:$TEXMF/%s
+PSHEADERS.XDvi  = .:$TEXMF/%q{dvips,fonts/type1}//
+TEXPICTS.XDvi   = .:$TEXMF/%q{dvips,tex}//
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % Usually you will not need to edit any of the other variables in part 1. %
